Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-07-06 Thread Simon McVittie
On Mon, 06 Jul 2020 at 18:50:01 +0200, Chris Hofstaedtler wrote: > src:util-linux will drop most static libraries in the 2.35.2-8 upload. > Please change the glib2.0 autopkgtest (by dropping the static test) > to allow this. libmount support in glib2.0 is temporarily disabled as a workaround for

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-07-06 Thread Chris Hofstaedtler
Hi Simon, src:util-linux will drop most static libraries in the 2.35.2-8 upload. Please change the glib2.0 autopkgtest (by dropping the static test) to allow this. Many thanks, Chris

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-07-01 Thread Luca Boccassi
On Tue, 30 Jun 2020 12:12:34 +0200 Chris Hofstaedtler wrote: > * Simon McVittie [200630 11:23]: > > On Tue, 30 Jun 2020 at 10:51:39 +0200, Chris Hofstaedtler wrote: > > > I'm not sure it was a good idea before. Is static linking something > > > you actively want to support for glib? > > > > It

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-30 Thread Chris Hofstaedtler
* Simon McVittie [200630 11:23]: > On Tue, 30 Jun 2020 at 10:51:39 +0200, Chris Hofstaedtler wrote: > > I'm not sure it was a good idea before. Is static linking something > > you actively want to support for glib? > > It has worked in the past, Policy says the static library "is usually >

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-30 Thread Simon McVittie
On Tue, 30 Jun 2020 at 10:51:39 +0200, Chris Hofstaedtler wrote: > I'm not sure it was a good idea before. Is static linking something > you actively want to support for glib? It has worked in the past, Policy says the static library "is usually provided", and we occasionally get bug reports from

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-30 Thread Chris Hofstaedtler
* Simon McVittie [200629 01:16]: > On Sun, 28 Jun 2020 at 22:00:58 +0200, Chris Hofstaedtler wrote: > > the autopkgtest suite offers quite interesting behaviour: > > With an installed libcryptsetup-dev, ld fails with "cannot find > > -lcryptsetup". > ... > > I imagine this might be caused by

Processed: Re: Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-29 Thread Debian Bug Tracking System
Processing control commands: > reassign -1 src:glib2.0,src:util-linux Bug #963933 [src:glib2.0] glib2.0: autopkgtext: ld: cannot find -lcryptsetup Bug reassigned from package 'src:glib2.0' to 'src:glib2.0,src:util-linux'. No longer marked as found in versions glib2.0/2.64.3-1. Ignoring request to

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-29 Thread Simon McVittie
Control: reassign -1 src:glib2.0,src:util-linux Control: found -1 glib2.0/2.64.3-1 Control: found -1 util-linux/2.35.2-5 Control: tags -1 + moreinfo bullseye sid On Mon, 29 Jun 2020 at 00:16:49 +0100, Simon McVittie wrote: > On Sun, 28 Jun 2020 at 22:00:58 +0200, Chris Hofstaedtler wrote: > > I

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-28 Thread Simon McVittie
On Sun, 28 Jun 2020 at 22:00:58 +0200, Chris Hofstaedtler wrote: > the autopkgtest suite offers quite interesting behaviour: > With an installed libcryptsetup-dev, ld fails with "cannot find > -lcryptsetup". ... > I imagine this might be caused by libcryptsetup-dev not shipping an > .a library.

Bug#963933: glib2.0: autopkgtext: ld: cannot find -lcryptsetup

2020-06-28 Thread Chris Hofstaedtler
Source: glib2.0 Severity: serious Version: 2.64.3-1 Dear glib2.0 Maintainers, the autopkgtest suite offers quite interesting behaviour: With an installed libcryptsetup-dev, ld fails with "cannot find -lcryptsetup". Log: